- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Member Functions
LpBase::Expr::CoeffIt Class Reference

## Detailed Description

The iterator iterates over the terms of the expression.

* double s=0;
* for(LpBase::Expr::CoeffIt i(e);i!=INVALID;++i)
* s+= *i * primal(i);
*

`#include <lemon/lp_base.h>`

## Public Member Functions
| CoeffIt (Expr &e)
| Sets the iterator to the first term. More...
| operator Col () const
| Convert the iterator to the column of the term.
Value & | operator* ()
| Returns the coefficient of the term.
const Value & | operator* () const
| Returns the coefficient of the term.
CoeffIt & | operator++ ()
| Next term. More...
bool | operator== (Invalid) const
| Equality operator.
bool | operator!= (Invalid) const
| Inequality operator.

## Constructor & Destructor Documentation

CoeffIt | ( | Expr & | e | ) |
| inline

Sets the iterator to the first term of the expression.

## Member Function Documentation

CoeffIt& operator++ | ( |  | ) |
| inline

Assign the iterator to the next term.